%% time comparison legpts vs legpts4
CO = 'color';
nn = 500:500:20000;
t_old = []; t_new = [];
for n = nn
   tic, [s w]=legpts(n);t=toc;
   t_old = [t_old t];
   tic, [s w]=legpts4(n);t=toc;
   t_new = [t_new t];
end

plot (nn,t_old,'.-','MarkerSize',10,'LineWidth',2),grid on,hold on;
plot (nn,t_new,'h-m','MarkerSize',4,'LineWidth',2);
xlabel('#nodes','FontWeight','bold'), ylabel ('time in sec','FontWeight','bold')
title('legpts vs legpts4','FontWeight','bold');

%% multiplier legpts vs legpts4

nn = 100:100:20000;
t_old = []; t_new = [];

for n = nn
   tic, [s w]=legpts(n);t=toc;
   t_old = [t_old t];
   tic, [s w]=legpts4(n);t=toc;
   t_new = [t_new t];
end

plot (nn,t_old./ t_new,'h-m','MarkerSize',4,'LineWidth',2),grid on;
xlabel('#nodes','FontWeight','bold'), ylabel ('t\_old / t\_new','FontWeight','bold')

title('multiplier old and new legpts','FontWeight','bold');


%% time comparison legpts4 vs chebpts

MS = 'MarkerSize';
CO = 'COLOR';
x = chebfun('x');
ff = @(x) exp(x).*sech(4*sin(40*x)).^exp(x);
f = ff(x);

I = sum(f);
errcc = []; errgauss = []; tcc = []; tgauss = [];
nn = 50:50:2000;
for n = nn
tic, Icc = sum(chebfun(ff,n+1)); t = toc;
tcc = [tcc t]; errcc = [errcc abs(I-Icc)];
tic, [s,w] = legpts4(n+1); t = toc;
Igauss = w*ff(s);
tgauss = [tgauss t]; errgauss = [errgauss abs(I-Igauss)];
end
hold off, semilogy(nn,errcc,'.-',MS,10), grid on
hold on, semilogy(nn,errgauss,'h-m',MS,4)
title('Gauss vs. Clenshaw-Curtis quadrature')

waitforbuttonpress;

hold off, semilogy(tcc,errcc,'.-',MS,10,'LineWidth',2)
hold on, semilogy(tgauss,errgauss,'h-m',MS,4,'LineWidth',2), grid on, ylim([3e-17,1])
a = axis;
text(a(1)+.05*(a(2)-a(1)),2e-12,'Gauss',CO,'m','FontWeight','bold')
text(mean(a(1:2)),1e-7,'Clenshaw-Curtis',CO,'b','FontWeight','bold')
xlabel('time (secs)','FontWeight','bold'), ylabel ('error','FontWeight','bold')
title('Timing comparison for Gauss for Clenshaw-Curtis quadrature','FontWeight','bold')
